.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the VisualScriptSelect.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_VisualScriptSelect:

VisualScriptSelect
==================

**Inherits:** :ref:`VisualScriptNode<class_visualscriptnode>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------



Member Functions
----------------

+------------------------+-----------------------------------------------------------------------------------------------+
| :ref:`int<class_int>`  | :ref:`get_typed<class_VisualScriptSelect_get_typed>`  **(** **)** const                       |
+------------------------+-----------------------------------------------------------------------------------------------+
| void                   | :ref:`set_typed<class_VisualScriptSelect_set_typed>`  **(** :ref:`int<class_int>` type  **)** |
+------------------------+-----------------------------------------------------------------------------------------------+

Member Variables
----------------

- :ref:`int<class_int>` **type**

Member Function Description
---------------------------

.. _class_VisualScriptSelect_get_typed:

- :ref:`int<class_int>`  **get_typed**  **(** **)** const

.. _class_VisualScriptSelect_set_typed:

- void  **set_typed**  **(** :ref:`int<class_int>` type  **)**


